#include "stdafx.h"
#include "KernelCall.h"

SampleCall::SampleCall()
    : m_starter(L"Sample")
    , m_driver(sc_utils::OpenDriverAsFile(L"\\\\.\\Sample"))
    , m_transport(m_driver.get())
{
}

LONGLONG SampleCall::VirtualToPhysicalAddr(const void* ptr)
{
    __int64 physicalAddress = 0;

    rpc::RpcCall<Exceptions> cl("Sample", "TranslateVirtualAddress");
    
    cl.Pack(ptr);
    cl.Call(&m_transport);
    cl.Unpack(&physicalAddress);

    return physicalAddress;
}