#ifndef RPC_FAKE_TRANSPORT_H
#define RPC_FAKE_TRANSPORT_H

#include "RpcServer.h"

//////////////////////////////////////////////////////////////////////////

namespace rpc
{
    class FakeTransport
    {
    public:

        FakeTransport(IRpcServer* rpcServer)
            : rpcServer_(rpcServer)
        {
        }

        void Send(char* data, size_t inBufSize, size_t maxBufSize, size_t* outBufSize)
        {
            return rpcServer_->Process(data, inBufSize, maxBufSize, outBufSize);
        }

    private:
        IRpcServer* rpcServer_;
    };
} //rpc

#endif
