#pragma once

#include "TestObject.h"

#include "RpcServer.h"
#include "RpcFakeTransport.h"
#include "RpcCall.h"


#define BOOST_TEST_MODULE RpcLibTest
#include <boost/test/unit_test.hpp>


struct RpcTestFix
{
    RpcTestFix() 
        : transport_(&server_)
        , testObject_(&server_)
    {
    }

    ~RpcTestFix() {}

    rpc::FakeTransport transport_;
    rpc::RpcServer<rpc::DefaultExceptions> server_; 
    TestObject testObject_;
};
