#include "Sample.h"


Sample::Sample(rpc::IRpcServer* rpcServer)
{
    RPC_FUNCTION(Sample, TranslateVirtualAddress);
    rpcServer->RegisterObject("Sample", this);
}

void Sample::TranslateVirtualAddress(rpc::Archive& inBuf, rpc::Archive& outBuf)
{
    void* virtualAddress;
    rpc::Unpack(inBuf, &virtualAddress);

    PHYSICAL_ADDRESS physicalAddress = MmGetPhysicalAddress(virtualAddress);
    
    rpc::Pack(outBuf, physicalAddress.QuadPart);
}