#ifndef RPC_SERVER_INTERFACES_H
#define RPC_SERVER_INTERFACES_H

namespace rpc
{
    struct IRpcSkel
    {
        virtual ~IRpcSkel(){}
        
        virtual void Call(const std::string& fncName, rpc::Archive& inBuf, rpc::Archive& outBuf) = 0;
    };

    struct IRpcServer
    {
        virtual ~IRpcServer(){}

        virtual void RegisterObject(const std::string& objName, IRpcSkel* pObject) = 0;
        virtual void Process(char* buf, size_t inBufSize, size_t maxBufSize, size_t * outBufSize) = 0;
    };
}

#endif